Skip to main content
Create folder

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspace_slug
string
required

URL-friendly workspace identifier

Example:

"acme"

Body

application/json

Exactly one of user_id or team_id must be provided (mutually exclusive).

title
string
required
parent_index
integer
default:0
required
user_id
string<uuid> | null

Assign folder to a user (mutually exclusive with team_id)

Example:

"550e8400-e29b-41d4-a716-446655440000"

team_id
string<uuid> | null

Assign folder to a team (mutually exclusive with user_id)

Example:

"550e8400-e29b-41d4-a716-446655440000"

parent_id
string<uuid> | null

Parent folder ID for nested folders

Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

Created folder

folder_id
string<uuid>
Example:

"550e8400-e29b-41d4-a716-446655440000"

workspace_id
string<uuid>
Example:

"550e8400-e29b-41d4-a716-446655440000"

user_id
string<uuid> | null
Example:

"550e8400-e29b-41d4-a716-446655440000"

team_id
string<uuid> | null
Example:

"550e8400-e29b-41d4-a716-446655440000"

parent_id
string<uuid> | null
Example:

"550e8400-e29b-41d4-a716-446655440000"

parent_index
integer
title
string
archived
boolean
Last modified on July 23, 2026